yodl (4.01.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 20 Jun 2017 12:40:40 -0700

yodl (4.01.00-1) experimental; urgency=low

  * Upstream added new macros to simplify LaTeX handling of teletype font.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 07 Jun 2017 16:24:02 +0200

yodl (4.00.00-1) experimental; urgency=low

  * Upstream released a new major version uprade. This one also incorporates
    3.10.00, which was only published at github. 

  * This release addes three new builtin commands, PUSHSUBST, POPSUBST, and an
    internally used builtin XXSUBST, allowing verbatim texts to be handled
    without processing any SUBST definition. 

  * The macro `verborg' replaces the original 'verb' macro, which now performs
    'verborg' encapsulated within PUSHSUBST and POPSUBST: otherwise special
    sequences of characters (like "\"hello\"") are now kept as-is when passed
    as argument to  verb-macros. 

  * Builtin commands and macros considered obsoleted since Yodl 2.00.00 are
    now discontinued.

  * The package's directory structure was simplified

  * Yodl's documentation was updated

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 03 Jun 2017 17:55:35 +0200
 

yodl (3.09.00-1) experimental; urgency=low

  * New upstream release fixes problems that may be encountered with LaTeX
    macros not requiring arguments, and adds a new standard macro 'tableatt'
    allowing attributes to be specified with tables when converting to html.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 23 May 2017 12:39:44 +0200

yodl (3.08.02-1) experimental; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release reorganized the Yodl manpage document macro, also 
    fixing minor bugs in that macro. Yodl manpage documents can now be
    converted to groff, html, and plain text formats.

  [ tony mancill ]
  * Use debhelper 10.
  * Update Vcs URLs to use https.
  * Uploading to experimental until the stretch freeze is lifted.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 29 Jan 2017 14:00:40 +0100

yodl (3.08.01-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * Upstream fixed re-emerging flaw in handling options, reported by Axel
    Beckert (Closes: #823043).

  [ tony mancill ]
  * Bump Standards-Version to 3.9.8 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 07 May 2016 10:46:19 -0700

yodl (3.08.00-1) unstable; urgency=medium

  * New upstream release fixes a bug in handling multiple identical options.
    (Closes: #823043).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 30 Apr 2016 18:30:56 +0530

yodl (3.07.01-1) unstable; urgency=medium

  * New upstream release:
    - reimplements the attrib() macro and adds several related macros
    - Yodl's option -l is no longer interpreted:
        PIPETHROUGH and SYSTEM are unconditionally accepted
    - yodlverbinsert(1) can now also handle nested markers
    - fixes an 'invalid memory read' bug
  * debian/patches incorporated upstream have been removed

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 22 Apr 2016 14:58:02 +0530

yodl (3.06.00-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream release provides CSS id selectors for elements in document
    headers, and implements several cosmetic changes
  * Yodl's homepage now at github, and yodl's construction depends on icmake
    >= 8.00.02.
  * Removed obsoleted elements from debian/rules

  [ tony mancill ]
  * Added a patch to correct typo in manpage.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 08 Dec 2015 19:56:52 +0100

yodl (3.05.01-1) unstable; urgency=medium

  * New upstream release fixes a small flaw in the LaTeX chartables.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 19 May 2015 19:29:51 +0200

yodl (3.05.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 30 Apr 2015 22:39:12 -0700

yodl (3.05.00-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release performs HTML5 conversions by default.

  [ tony mancill ]
  * Set distribution to experimental until the freeze thaws,
    since yodl has reverse build-deps.

 -- tony mancill <tmancill@debian.org>  Sun, 04 Jan 2015 09:32:48 -0800

yodl (3.04.00-1) unstable; urgency=low

  [ Frank B. Brokken ] 
  * New upstream release, mainly extending the features of yodlverbinsert

  [ tony mancill ]
  * Add debian/watch file.

  [ Colin Watson ]
  * Remove myself from Uploaders.  I haven't otherwise touched this package
    since 2006.

 -- tony mancill <tmancill@debian.org>  Wed, 01 Oct 2014 14:06:18 +0200

yodl (3.03.0-3) unstable; urgency=medium

  * Add build dependency on cm-super-minimal. (Closes: #752727)
    - Thank you to Michael Tautschnig for the bug report.
  * Bump Standards-Version to 3.9.5
  * Drop hardening-wrapper; pass CPPFLAGS to build system via CFLAGS.

 -- tony mancill <tmancill@debian.org>  Wed, 25 Jun 2014 20:06:41 -0700

yodl (3.03.0-2) unstable; urgency=low

  * Update debian/rule to address FTBFS for arch-dependent
    binary-only builds.  Build macros in the build-arch target.

 -- tony mancill <tmancill@debian.org>  Thu, 10 Oct 2013 22:00:29 -0700

yodl (3.03.0-1) unstable; urgency=low

  * New upstream version should now have completely squashed the xlatin1.tex
    bug... 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 09 Oct 2013 14:00:13 +0200

yodl (3.02.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream version fixes bug when including xlatin1.tex

  [ tony mancill ]
  * Update Vcs fields to use anonscm.

 -- tony mancill <tmancill@debian.org>  Thu, 05 Sep 2013 22:02:52 -0700

yodl (3.02.0-1) unstable; urgency=low

  * New uptream release repairs intermittently occurring bug with .txt files

  * Removed the 'git-build' target from debian/rules

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 21 May 2013 09:51:31 +0200

yodl (3.01.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New uptream release: CFLAGS and LDFLAGS are supported, repaired some
    inconsistencies in the documentations, reimplemented some functions to
    avoid problems on GNU-hurd.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.4
  * Update Vcs fields to refer to collab-maint repo on Alioth.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 10 Mar 2013 12:44:18 +0100

yodl (3.00.0-9) unstable; urgency=low

  * Renewed fix_FTBFS4hurd.patch, removing preprocessor directives from
    modified sources.  This patch can be used, pending a new yodl-release.
    The patch update ot address source issues that caused FTBFS bugs
    #685858 and #686184

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 04 Sep 2012 21:40:05 +0200

yodl (3.00.0-8) unstable; urgency=low

  * Edit patch from #685858 for FTBFS on i386 (Closes: #686184)
    - Thank you to Svante Signell.

 -- tony mancill <tmancill@debian.org>  Mon, 03 Sep 2012 16:31:07 +0000

yodl (3.00.0-7) unstable; urgency=low

  * Remove dependency on mktemp (Closes: #657002)
  * Bump Standards Version to 3.9.3.
  * Update debian/copyright to machine-readable format.
  * Add Homepage and Vcs-Svn fields to debian/control.
  * Add patch for FTBFS on hurd-i386 (Closes: #685858).
    - Thank you to Svante Signell.

 -- tony mancill <tmancill@debian.org>  Tue, 28 Aug 2012 21:37:20 -0700

yodl (3.00.0-6) unstable; urgency=low

  * Reorganized debian/rules: ./build macros no longer was the final part in
    the build-process. Repaired by now calling './build macros' as the last
    step in 'build-indep'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 28 Nov 2011 13:05:07 +0100

yodl (3.00.0-5) unstable; urgency=low

  * Combine B-D-I and B-D until the autobuilders/dpkg-buildpackage -B
    sort out how to build binary-arch targets.

 -- tony mancill <tmancill@debian.org>  Mon, 07 Nov 2011 17:44:58 -0800

yodl (3.00.0-4) unstable; urgency=low

  * Correct binary-arch target depending on build, not build-arch.

 -- tony mancill <tmancill@debian.org>  Sun, 06 Nov 2011 18:56:16 +0000

yodl (3.00.0-3) unstable; urgency=low

  * Add build-arch and build-indep support to debian/rules
  * Bump standards version to 3.9.2 (no changes required).
  * Remove debian/prerm.debhelper and debian/postinst.debhelper templates

 -- tony mancill <tmancill@debian.org>  Sun, 06 Nov 2011 16:47:13 +0000

yodl (3.00.0-2) unstable; urgency=low

  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Dec 2010 10:31:46 -0800

yodl (3.00.0-1) experimental; urgency=low

  * New upstream release (software reorganized, change of includefile
    semantics)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 07 Nov 2010 17:21:49 +0100

yodl (2.15.2-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Update debhelper compat level to 7; minor tweaks to debian/rules.

 -- tony mancill <tmancill@debian.org>  Thu, 06 May 2010 20:59:31 -0700

yodl (2.15.2-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release
  * Removed cm-super from the list of Build-Depends-Indep
  
  [ George Danchev ]
  * ensure that only yodl binary package got processed in binary-arch

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 12 Mar 2010 10:53:47 +0100

yodl (2.15.1-1) unstable; urgency=low

  * New upstream release

  [ tony mancill ]
  * debian/control:
    - Remove "inherited" Section: from binary package
    - Modify yodl-doc package description

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 27 Jul 2009 11:33:57 +0200

yodl (2.15.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 16 Jul 2009 22:43:41 +0200

yodl (2.14.4-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 13 May 2009 11:40:48 +0200

yodl (2.14.3-1) unstable; urgency=low

  * New upstream release (2.14.2-1 not uploaded to the Debian archives due to
    a bug in the Yodl build-script)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 28 Apr 2009 08:21:53 +0200

yodl (2.14.2-1) unstable; urgency=low

  * New upstream release.
  * Depends on icmake 7.12.1

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 16 Apr 2009 21:23:40 +0200

yodl (2.14.1-2) unstable; urgency=low

  * Removed cm-super-minimal from Build-Depends-Indep (covered by cm-super)
  * Modified capitalization of name in Uploaders

 -- tony mancill <tmancill@debian.org>  Mon, 30 Mar 2009 17:10:01 -0700

yodl (2.14.1-1) unstable; urgency=low

  [ George Danchev Sat, 21 Mar 2009 20:19:04 +0200 ]

  * Split-off a supplementary documention package yodl-doc
  * Move texlive and ghostscript dependencies in Build-Depends-Indep
  * Application package yodl now suggests yodl-doc
  * Added Section field for yodl (text) and yodl-doc (doc)
  * Added binary-indep, build-indep, install-indep for yodl-doc construction
  * Added cm-super-minimal to Build-Depends-Indep

  [ Frank B. Brokken ]

  * New upstream release. 
  * This and the above changes close an open bug on mips. (Closes: #520160).

  [ Tony Mancill ]
  * Added cm-super to Build-Depends-Indep 

 -- Tony Mancill <tmancill@debian.org>  Tue, 24 Mar 2009 15:56:30 -0700

yodl (2.14.0-1) unstable; urgency=low

  * New upstream release.
  * Standards Version 3.8.1 (no changes needed)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 Mar 2009 13:14:32 +0100

yodl (2.13.2-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 24 Oct 2008 15:07:39 +0200

yodl (2.13.1-1) unstable; urgency=low

  * New upstream release. (Closes: #499421).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 24 Sep 2008 13:29:14 +0200

yodl (2.12.2-2) unstable; urgency=low

  * Updated to standards 3.8.0, replaced gs-gpl by ghostscript

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 16 Aug 2008 08:53:48 +0200

yodl (2.12.2-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 08 Jun 2008 10:45:29 +0200

yodl (2.12.1-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 19 Mar 2008 21:29:55 +0100

yodl (2.11-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release: see the upstream changelog (closes: #412003)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 12 Mar 2007 20:31:31 +0100

yodl (2.10-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release: see the upstream changelog (closes: #411124)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 16 Feb 2007 11:05:17 +0100

yodl (2.04a-2) unstable; urgency=low

  [ George Danchev ]
  * build-depend on icmake >= 6.30-1

 -- George Danchev <danchev@spnet.net>  Sat,  7 Oct 2006 12:05:48 +0300

yodl (2.04a-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release, fixing rawmacro bug

  [ George Danchev ]
  * update copyright file information
  * debhelper v5 - no changes needed

  [ tony mancill ]
  * removed emacs cruft from end of debian/changelog

 -- tony mancill <tmancill@debian.org>  Sat, 16 Sep 2006 22:34:12 -0700

yodl (2.04-1) unstable; urgency=low

  * Patches defined by Colin Watson in his changelog of Wed, 26 Jul 2006
    23:54:26 +0100 were applied to the upstream release.

  * New upstream release, see the upstream changelog for details.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 29 Aug 2006 16:19:22 +0200

yodl (2.03-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * See the upstream changelog

  [ Colin Watson ]
  * Set Frank as Maintainer and myself as an Uploader.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Aug 2006 09:55:39 +0100

yodl (2.02) unstable; urgency=low

  * Following suggestions by Karel Kubat, several data files were modified:
    global variables are initialized to prevent compilation problems. Also,
    Karel's contrib/build.pl script was modified by Karel. I changed the
    initialization of the $config{TOPLEVEL_VERSION} so that it first tries to
    read the current toplevel version from the src/config.h file, to promote
    version synchronization.

    Some minor changes to macro files were made, and several superfluous files
    were removed from the distribution.

    Adapted several debian-files, updating the standards and debhelper
    versions, removed debian/ from the .orig archive and added an upstream
    changelog file, keeping this file for future Debian changes only. The 
    initial version of the upstream-changelog file is this file: Yodl's
    debian/changelog until (including) version 2.02.

    Disregard the comment in version 2.01.03 about plans to discontinue
    icmake. Icmake's build script will be kept and will remain to be yodl's 
    main build-tool. Many functions used in the src/build script have been
    rebuilt, resulting in the removal of many system-function calls and thus
    increasing its speed of execution.


 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 23 Aug 2006 10:42:12 +0200

yodl (2.01.03-3) unstable; urgency=low

  * Build-depend on tetex-extra too (thanks, Roberto Pariset) and gs-gpl |
    gs for ps2pdf.

 -- Colin Watson <cjwatson@debian.org>  Mon,  7 Aug 2006 21:10:08 +0100

yodl (2.01.03-2) unstable; urgency=low

  [ Colin Watson ]
  * Build-depend on tetex-bin (closes: #380699).
  * Add -g to CFLAGS and drop optimisation to -O2, per policy.

  [ George Danchev ]
  * Lintian cleanups (closes: #380377):
    - Remove doc-base file, obsolete since yodl no longer ships info pages.
    - Update FSF address in copyright file.
    - Fix typo and punctuation in short description.
    - Policy version 3.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon,  7 Aug 2006 11:08:41 +0100

yodl (2.01.03-1) unstable; urgency=low

  * Make use of gcc's printf format checking features if available.
  * Fix use of freed memory on error path in construct_tocentry.
  * Fix reuse of va_list in string_vformat; the correct way to do this is to
    va_copy it first, although this requires some care regarding
    portability.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jul 2006 23:54:26 +0100

yodl (2.01.03) unstable; urgency=low

  * The XXtocclearpage symbol, used by the tocclearpage() and notocclearpage()
    macros, was erroneously defined for the HTML convertor instead of the
    LaTeX convertor. Also, the macro tocclearpage() did not assign a non-empty
    value to the XXtocclearpage macro, so the macro had no effect.
    
    Added the file yodl/debian/compat
    
    Following suggestions by Karel Kubat, macros/rawmacros/footnote.raw was
    modified for HTML-usage. With the HTML convertor a non-breakable space is
    inserted before the (parenthesized) footnote-text.
    
    A `contrib' directory is created below /usr/share/doc/yodl. Currently it
    contains a perl-script `build.pl' that may be used to create the
    yodl-package. It is not maintained by me (Frank), but was supplied by
    Karel Kubat. Note that it does not update the program version, but uses a
    hard-coded version as set by the script. Karel (karel@e-tunity.com) should
    be contacted for any questions related to this script. Furthermore, the
    dependency on `icmake' will probably be removed from Yodl in the near
    future: I'm planning to standardize the package building using a series of
    generic shell-scripts, which may render the build.pl script obsolete as
    well.
    
    The build-script will now install in yodl/yodl/debian/yodl instead of
    yodl/yodl/debian/tmp

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 13 Mar 2006 20:53:23 +0100

yodl (2.01.02) unstable; urgency=low

  * Changed the lsect(), lsubsect(), lsubsubsect(), sect(), subsect() and
    subsubsect() macros (for html and xml use) since the l...() macros set the
    lastnumber value too late. New XX...sect[Counter].raw files were defined
    to factorize common parts. The l...sect() macros now first set the next
    section number, and then define a label. Finally the section code is
    inserted. The ...sect() macros set the counter, followed by the section's
    code. 

    Furthermore, added n-tilde and N-tilde definitions to chartables.

    Note the change of my e-mail address: it's now @rug.nl, instead of
    @rc.rug.nl

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 29 Jul 2005 14:38:57 +0200

yodl (2.01.01) unstable; urgency=low

  * Ai, another leftover from the previous bug-repair: if the suspected
    macro call was already part of the set if supected macros calls the
    already read open parentheses wasn't pushed back. It's now repaired.

    Also, followed Karel's suggestion to do system("rm -rf bin/* libyodl.a
    */o/*"); in yodl/src/build, rather than just -f, in order to removed 
    any CVS directories that might be there as well. Since this part should
    not contain any useful info for CVS it shouldn't matter that CVS is 
    removed. 

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Thu, 20 Jan 2005 08:23:11 +0100

yodl (2.01.00) unstable; urgency=low

  * Forced subdir creation at manual construction (in yodl/manual: html/
    latex/ pdf/ ps/ txt/), as suggested by Karel Kubat

    Repaired a bug in the man-page construction in yodlpost:
    handle_ignore_ws didn't ignore multiple white lines. Repaired by
    adding appropriate test

    Repaired a bug in yodl itself:
    -w flag eats initial openparen of parenthesized list. Not specifying -w
    doesn't. Repaired by pushing back an open-parenthesis after recognizing a
    suspected user macro which doesn't turn out to be a user macro in
    src/parser/pnousermacro.c. See the comments in that source for details.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Tue, 14 Dec 2004 20:50:53 +0100

yodl (2.00.06) unstable; urgency=low

  * Repaired dangling links of yodl2XXX.1.gz manpages

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Sat,  6 Nov 2004 14:53:37 +0100

yodl (2.00.05) unstable; urgency=low

  * Minor repairs of txt-conversion em() and bf() macros

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Wed, 13 Oct 2004 16:35:16 +0200

yodl (2.00.04) unstable; urgency=low

  * Added .../macros/rawmacros/xxsetmandocumentheader.raw, provided by Karel
    Kubat allowing man-conversions for article, books, report, etc;
    Added new counter XXused to indicate that a list has been used in XML mode,
    adapted related macros accordingly;
    Repaired several inconsistencies in enumeration()/itemization(), following
    Karel's hints;
    Repaired references to xml-skeletons, which were consistently expected in
    /usr/share/yodl rather than in /usr/share/yodl/xml/

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Wed, 29 Sep 2004 23:15:06 +0200

yodl (2.00.03) unstable; urgency=low

  * yodlpost/handleignorews.cc: called file_copy2offset(src, dest, offset)
    rather than file_copy2offset(dest, src, offset). Happened only here.
    Added some comment to file_copy2offset() itself, and repaired
    itemization() and enumeration() macros.  
    Added minor modifications to macros/build and manual/yo/manual.yo.

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Mon, 27 Sep 2004 21:06:12 +0200

yodl (2.00.02) unstable; urgency=low

  * - Added the standard htmlstylesheet() and htmlheadopt() macros to be used
    in the html converter to add, respectively, a stylesheet or any option
    into the head of html files.
    - Modified yodl2whatever to deduct the default output filename from the
    last specified .yo file

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Fri, 24 Sep 2004 12:53:20 +0200

yodl (2.00.01) unstable; urgency=low

  * eit() in the text-convertor did not properly handle the XXenumcounter

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Tue, 21 Sep 2004 15:09:58 +0200

yodl (2.00) unstable; urgency=low

  * Complete rewrite. See the manual for the modifications. Old yodl-sources
    will usually require minor modifications

 -- Frank B. Brokken <f.b.brokken@rc.rug.nl>  Tue, 31 Aug 2004 11:37:28 +0200

yodl (1.31.18-7) unstable; urgency=low

  * In the lexer, if we've stepped back over all pre-pushed input, ensure
    that future pushes reallocate the buffer rather than underrunning
    (closes: #203599).
  * Check policy up to 3.5.6: no changes required. Work is needed on
    compiler options for later versions.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Sep 2003 08:23:03 +0100

yodl (1.31.18-6) unstable; urgency=low

  * Simply remove root-owned out/dummy.dep files in the clean target rather
    than trying to chown them to $LOGNAME, which doesn't work under pbuilder
    (closes: #189620).
  * Use '%option noyywrap' rather than the messy local definition of
    yywrap(), which doesn't build properly with current flex.
  * Remove src/yodl2html-post/parser.c on clean to avoid bizarre build
    failures (thanks, Daniel Schepler).

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 May 2003 09:21:08 +0100

yodl (1.31.18-5) unstable; urgency=low

  * Reinstate URL in control file, as it's useful for people browsing
    http://packages.debian.org/ (thanks, Oohara Yuuma).
  * Remove some cruft from debian/rules.
  * Use dh_installinfo rather than the incorrect code in debian/postinst and
    debian/prerm (which looked at /usr/info!).

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2002 20:34:34 +0000

yodl (1.31.18-4) unstable; urgency=low

  * Remove URL/authors from control file (should just be in copyright file).

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Jul 2002 00:37:11 +0100

yodl (1.31.18-3) unstable; urgency=low

  * Make startit() and endit() correctly generate <ul></ul> rather than
    <dl></dl> (thanks, Frank B. Brokken).
  * Update Frank's e-mail address.

 -- Colin Watson <cjwatson@debian.org>  Sun,  6 Jan 2002 15:25:22 +0000

yodl (1.31.18-2) unstable; urgency=low

  * New maintainer (closes: #111032).
  * Reintroducing package to unstable because five packages build-depend on
    it. When those packages migrate to a different documentation system,
    yodl may safely be removed.

  * Unexport NAME in debian/rules; the Hurd sets it, which confuses stepmake
    (closes: #111019, #111085).
  * ' generates \&' rather than \' for groff -man output, as \' is an acute
    accent, not an apostrophe (thanks, Matt Kraai; closes: #51258).
  * Recommend python rather than python1.5. yodl seems to work fine with
    newer versions of python, and python1.5 wouldn't have worked because it
    doesn't provide /usr/bin/python.
  * Add build-dependencies.
  * Policy version 3.2.1.

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Nov 2001 20:09:33 +0000

yodl (1.31.18-1.1) unstable; urgency=low

  * Non Maintainer Upload.
  * Package is orphaned, setting Maintainer to Debian QA Group.
  * Apply patch from James Troup to fix build issues. (Closes: #119172)
  * Fix Python Recommends. (Closes: #119204)
  * Fix all lintian errors. (Fix changelog, strip binaries, remove
    INSTALL.txt)
  * Remove dh_suidregister from debian/rules.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 12 Nov 2001 12:10:11 +1100

yodl (1.31.18-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Scott Hanson <shanson@debian.org>  Sat,  4 Dec 1999 10:56:51 +0100

yodl (1.31.16-1) unstable; urgency=low

  * New upstream release.
  * Partially upgraded to standards version 3.0.1:
     - Updated copyright to point to /usr/share/common-licenses
     - First step towards FHS-compliance: Man and info pages are now
       installed under /usr/share.

 -- Anthony Fok <foka@debian.org>  Wed, 25 Aug 1999 02:41:38 -0600

yodl (1.31.11-1) unstable; urgency=low

  * New upstream release.
  * Re-added Yodl info page and added doc-base support.

 -- Anthony Fok <foka@debian.org>  Wed, 17 Mar 1999 00:47:31 -0700

yodl (1.31.10-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]: Updated to Standards-Version: 2.5.0.0
  * [debian/copyright]: Updated the address to the upstream FTP site.
  * Various minor clean-ups.

 -- Anthony Fok <foka@debian.org>  Sat, 13 Feb 1999 14:09:47 -0700

yodl (1.31.7-1) frozen unstable; urgency=low

  * New upstream release, mostly bugfixes.
  * Tweaked debian/rules aclocal.m4 (hence configure) to make sure that
    yodl is compiled with optimization "-O2" turned on.
  * s/-mgs/-ms/g in config.make.in and yodlconverters.yo.in because
    Debian's groff only has -ms, not -mgs.
  * [debian/control]: Recommends: groff.

 -- Anthony Fok <foka@debian.org>  Thu, 12 Nov 1998 03:04:58 -0700

yodl (1.31.6-1) unstable; urgency=low

  * [Documentation/GNUmakefile]: Removed "texinfo" that was added to
      "default:" in Debian's yodl_1.31.2-1 because the NEWS file says
      "don't make texinfo by default" in Yodl 1.31.4, and otherwise
      the build process fails, most likely my fault.  :-)
  * [debian/rules]: Now, in the "clean:" target, runs either
      "find . -user root | xargs -r chown $$SUDO_USER.$$SUDO_GID" or
      "find . -user root | xargs -r chown $$LOGNAME" to deal with all those
      root-owned "out/*" files generated during a "sudo debian/rules clean"
      run.  Thanks to Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
      for reporting a similar problem with the lilypond package.  :-)
  * Removed postinst and prerm and adjusted debian/GNUmakefile accordingly,
    as Yodl's info files are not built or installed for this release.
  * [debian/control]: Oops!  Forgot to add dependencies!  :-)
      Added "Depends: ${shlibs:Depends}"
      and "Recommends: python-base (>= 1.5.1)".

 -- Anthony Fok <foka@debian.org>  Sat, 10 Oct 1998 14:47:05 -0600

yodl (1.31.2-1) unstable; urgency=low

  * New upstream release.
  * Applied patch 1.31.2.jbr1:
      - src/yodl/grampipethrough.c: A popen _must_ be closed with a
        pclose _not_ a fclose.  Pipes were never getting closed on
        Windows NT cygnus.
  * [Documentation/GNUmakefile]: Added "texinfo" to "default:",
      otherwise Documentation/out/yodl.info* would not be built
      and "make install" would complain.
  * [debian/postinst,debian/prerm]: Added calls to install-info.
  * [Documentation/links.yo]: The e-mail address and command for subscribing
      to the Yodl Mailing List was wrong.  Fixed.

 -- Anthony Fok <foka@debian.org>  Tue,  8 Sep 1998 05:08:54 -0600

yodl (1.31.0-1) unstable; urgency=low

  * Initial upload to Debian's FTP server.
  * Minor revisions in config.make.in and debian/rules.
  * Note that this package was created by Yodl and lilypond's co-author,
    Jan Nieuwenhuizen <janneke@gnu.org>.  He did all the Debianization
    work for me.  I am so amazed!  All I am doing now is uploading it. 
    Thanks a lot, Jan!  :-)

 -- Anthony Fok <foka@debian.org>  Wed, 12 Aug 1998 12:52:18 -0600

yodl (1.30.0.pre9-2) unstable; urgency=low

  * support for 'make deb' target

 -- Jan Nieuwenhuizen <janneke@gnu.org>  Fri,  3 Jul 1998 17:53:37 +0200

yodl (1.30.0.pre9-1) unstable; urgency=low

  * Initial Release (copied from lilypond-0.1.71-1)

 -- Jan Nieuwenhuizen <janneke@gnu.org>  Fri,  3 Jul 1998 17:33:37 +0200

